[Swift-commit] r4339 - SwiftApps/SwiftR/Swift/exec
tga at ci.uchicago.edu
tga at ci.uchicago.edu
Tue Apr 12 10:34:22 CDT 2011
Author: tga
Date: 2011-04-12 10:34:22 -0500 (Tue, 12 Apr 2011)
New Revision: 4339
Added:
SwiftApps/SwiftR/Swift/exec/compat-setup
Log:
Missing file.
Added: SwiftApps/SwiftR/Swift/exec/compat-setup
===================================================================
--- SwiftApps/SwiftR/Swift/exec/compat-setup (rev 0)
+++ SwiftApps/SwiftR/Swift/exec/compat-setup 2011-04-12 15:34:22 UTC (rev 4339)
@@ -0,0 +1,19 @@
+#!/bin/sh
+# sets variables to handle compatibility issues
+
+if [ -f "`which seq 2> /dev/null`" ]
+then
+ SEQ=seq
+else
+ SEQ="jot -"
+fi
+
+if [ -f "`mktemp 2> /dev/null`" ]; then
+ MKTEMP=mktemp
+elif [ -f "`mktemp -t swiftR 2> /dev/null`" ]; then
+ # mac OS
+ MKTEMP="mktemp -t swiftR"
+else
+ echo Could not find valid mktemp, exiting
+ exit 1
+fi
More information about the Swift-commit
mailing list